Memcached::increment
Memcached::prependByKey
Memcached
PHP Manual

# Memcached::prepend

(PECL memcached >= 0.1.0)

Memcached::prepend — Prepend data to an existing item

### Descrição

public bool Memcached::prepend ( string `$key` , string `$value` )

Memcached::prepend() prepends the given `value` string to the value of an existing item. The reason that `value` is forced to be a string is that prepending mixed types is not well-defined.

> Nota: If the `Memcached::OPT_COMPRESSION` is enabled, the operation will fail and a warning will be issued, because prepending compressed data to a value that is potentially already compressed is not possible.

### Parâmetros

`key`

  The key of the item to prepend the data to.

`value`

  The string to prepend.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas. The Memcached::getResultCode will return `Memcached::RES_NOTSTORED` if the key does not exist.

### Exemplos

Exemplo #1 Memcached::prepend() example

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
$m->setOption(Memcached::OPT_COMPRESSION, false);
$m->set('foo', 'abc');
$m->prepend('foo', 'def');
var_dump($m->get('foo'));
?>`

O exemplo acima irá imprimir:

    string(6) "defabc"

### Veja Também

- Memcached::prependByKey - Prepend data to an existing item on a specific server
- Memcached::append - Append data to an existing item

Memcached::increment
Memcached::prependByKey
Memcached
PHP Manual